using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训教育统计报表
    /// </summary>
    [Description("培训教育统计报表")]
    public class T_SE_TRAIN_RECORD_REPORT : MesEntityBase
    {
        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string UNIT { get; set; }
        /// <summary>
        /// 员工工号
        /// </summary>
        [Description("员工工号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string CODE { get; set; }
        /// <summary>
        /// 员工姓名
        /// </summary>
        [Description("员工姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string NAME { get; set; }
        /// <summary>
        /// 培训级别
        /// </summary>
        [Description("培训级别")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string LEVEL { get; set; }
        /// <summary>
        /// 所属组织
        /// </summary>
        [Description("所属组织")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string DEPARTMENT_NAME { get; set; }

        /// <summary>
        /// 课程名称
        /// </summary>
        [Description("课程名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string CLASS_NAME { get; set; }
        /// <summary>
        /// 培训开始时间
        /// </summary>
        [Description("培训开始时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime START_TIME { get; set; }
        /// <summary>
        /// 培训结束时间
        /// </summary>
        [Description("培训结束时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime END_TIME { get; set; }
        /// <summary>
        /// 培训形式
        /// </summary>
        [Description("培训形式")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string TRAIN_TYPE { get; set; }
        /// <summary>
        /// 培训学时
        /// </summary>
        [Description("培训学时")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public decimal TRAIN_HOUR { get; set; }
        /// <summary>
        /// 考核方式
        /// </summary>
        [Description("考核方式")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string TRAIN_MODEL { get; set; }
        /// <summary>
        /// 考核分数
        /// </summary>
        [Description("考核分数")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int TRAIN_SCORE { get; set; }
        /// <summary>
        /// 培训记录id
        /// </summary>
        [Description("培训记录id")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public Guid? RECORD_ID { get; set; }

    }
}
